<div class="flex flex-col flex-auto mx-auto py-6 min-w-0" style="background-color: rgba(219, 213, 244, 0.364)">
    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" (click)="back()">
            <mat-icon class="mt-6 mb-6" style="color: #0038ff">keyboard_arrow_left</mat-icon><span
                class="mt-6 mb-6 font-Semibold-16" style="color: #0038ff">Back</span>
        </div>
        <div>
            <mat-icon class="mt-6 cursor-pointer" style="color: #0038ff">help_outline</mat-icon>
        </div>
    </div>

    <div class="flex flex-col sm:flex-row sm:flex-wrap sm:mx-6 sm:mt-4">
        <div class="sm:flex-1">
            <div class="text-indigo-900 font-Semibold-40 leading-none mt-6 sm:px-6 mb-7" style="text-align: center">
                Enter PIN
            </div>
        </div>
    </div>
    <div class="w-full py-4 items-top text-top sm:w-auto mx-auto py-8 px-4 sm:p-12 sm:shadow sm:bg-card">
        <div class="w-full max-w-100 sm:w-90 mx-auto sm:mx-0">
            <!-- Main -->
            <div id="enterPin" class="flex-auto p-6 sm:p-10">
                <!-- CONTENT GOES HERE -->
                <div class="flex justify-center font-Regular-16 py-4">Please enter your PIN to proceed</div>
                <ngx-pincode [hideChrs]="true" type="number" [size]="6" (completed)="pincodeCompleted($event)">
                </ngx-pincode>

                <div class="text-center mt-7">
                    <a class="font-Regular-14 font-0038ff" style="cursor: pointer" (click)="forgotPin()">Forgot Your
                        PIN?
                    </a>
                </div>
                <div>
                    <!-- Alert -->
                    <fuse-alert *ngIf="showAlert" [showIcon]="false" [type]="alert.type"
                        [@shake]="alert.type === 'error'" class="justify-center">
                        {{ alert.message }}
                    </fuse-alert>
                </div>

                <div>
                    <button class="fuse-mat-button-medium button-r5 w-full mt-6" mat-flat-button [color]="'primary'"
                        (click)="confirmWithdraw()" [disabled]="disableButton">
                        Continue
                        <mat-progress-spinner *ngIf="" [diameter]="24" [mode]="'indeterminate'">
                        </mat-progress-spinner>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>